unit fiche_affiche_coordonees;

{$mode objfpc}{$H+}

interface

uses
  LCLIntf, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, LResources, Grids,UChaines,Unit222,Ray1;

type

  { Tfiche_coordonnees_segments }

  Tfiche_coordonnees_segments = class(TForm)
    sg: TStringGrid;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure sgMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure sgMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
  private  encreation:boolean;
    { Déclarations privées }
  public
    { Déclarations publiques }
  end;

var
  fiche_coordonnees_segments: Tfiche_coordonnees_segments;

implementation


{ Tfiche_coordonnees_segments }

procedure Tfiche_coordonnees_segments.FormCreate(Sender: TObject);
begin
 encreation:=true;
 CAPTION:=rsCoordonnEsDe;

end;

procedure Tfiche_coordonnees_segments.FormClose(Sender: TObject;
  var CloseAction: TCloseAction);
begin
   montrernumerossegments:=false;
Rafraichit;
end;

procedure Tfiche_coordonnees_segments.FormShow(Sender: TObject);
begin
   //if encreation then begin scalefont(self); encreation:=false; end;
end;

procedure Tfiche_coordonnees_segments.sgMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var coco,roro,i:integer;   dede:string;

 begin
sg.MouseToCell(x,y,coco,roro);
rafraichit;
if roro>0 then begin
 bibi.trait(listesegment[-1+roro].a1x,listesegment[-1+roro].a1y,listesegment[-1+roro].a2x,listesegment[-1+roro].a2y,listesegment[-1+roro].epaisseur*4,clgreen,psDashDotDot,pmcopy,true);

  end;

end;

procedure Tfiche_coordonnees_segments.sgMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
var coco,roro,i:integer;   dede:string;

 begin
sg.MouseToCell(x,y,coco,roro);
rafraichit;
if roro>0 then begin
 bibi.trait(listesegment[-1+roro].a1x,listesegment[-1+roro].a1y,listesegment[-1+roro].a2x,listesegment[-1+roro].a2y,listesegment[-1+roro].epaisseur*4,clgreen,psDashDotDot,pmcopy,true);

  end;

end;

initialization
  {$i fiche_affiche_coordonees.lrs}


end.
